Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/prec_scops.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/prec_scops.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/prec_scops.F	(revision 5082)
@@ -55,5 +55,5 @@
 
       cv_col = 0.05*ncol
-      if (cv_col .eq. 0) cv_col=1
+      if (cv_col == 0) cv_col=1
  
       do ilev=1,nlev
@@ -72,15 +72,15 @@
         flag_cv=0
         do ilev=1,nlev
-          if (frac_out(j,ibox,ilev) .eq. 1) then 
+          if (frac_out(j,ibox,ilev) == 1) then
             flag_ls=1
           endif
-          if (frac_out(j,ibox,ilev) .eq. 2) then 
+          if (frac_out(j,ibox,ilev) == 2) then
             flag_cv=1
           endif
         enddo !loop over nlev
-        if (flag_ls .eq. 1) then
+        if (flag_ls == 1) then
            frac_out_ls(j,ibox)=1
         endif
-        if (flag_cv .eq. 1) then
+        if (flag_cv == 1) then
            frac_out_cv(j,ibox)=1
         endif
@@ -93,14 +93,14 @@
         flag_cv=0
     
-        if (ls_p_rate(j,1) .gt. 0.) then 
+        if (ls_p_rate(j,1) > 0.) then
             do ibox=1,ncol ! possibility ONE
-                if (frac_out(j,ibox,1) .eq. 1) then 
+                if (frac_out(j,ibox,1) == 1) then
                     prec_frac(j,ibox,1) = 1
                     flag_ls=1
                 endif
             enddo ! loop over ncol
-            if (flag_ls .eq. 0) then ! possibility THREE
+            if (flag_ls == 0) then ! possibility THREE
                 do ibox=1,ncol
-                    if (frac_out(j,ibox,2) .eq. 1) then 
+                    if (frac_out(j,ibox,2) == 1) then
                         prec_frac(j,ibox,1) = 1
                         flag_ls=1
@@ -108,7 +108,7 @@
                 enddo ! loop over ncol
             endif
-        if (flag_ls .eq. 0) then ! possibility Four
-        do ibox=1,ncol
-        if (frac_out_ls(j,ibox) .eq. 1) then 
+        if (flag_ls == 0) then ! possibility Four
+        do ibox=1,ncol
+        if (frac_out_ls(j,ibox) == 1) then
             prec_frac(j,ibox,1) = 1
             flag_ls=1
@@ -116,5 +116,5 @@
         enddo ! loop over ncol
         endif
-        if (flag_ls .eq. 0) then ! possibility Five
+        if (flag_ls == 0) then ! possibility Five
         do ibox=1,ncol
     !     prec_frac(j,1:ncol,1) = 1
@@ -125,8 +125,8 @@
        ! There is large scale precipitation
      
-        if (cv_p_rate(j,1) .gt. 0.) then 
+        if (cv_p_rate(j,1) > 0.) then
          do ibox=1,ncol ! possibility ONE
-          if (frac_out(j,ibox,1) .eq. 2) then 
-           if (prec_frac(j,ibox,1) .eq. 0) then
+          if (frac_out(j,ibox,1) == 2) then
+           if (prec_frac(j,ibox,1) == 0) then
         prec_frac(j,ibox,1) = 2
        else
@@ -136,8 +136,8 @@
       endif
         enddo ! loop over ncol
-        if (flag_cv .eq. 0) then ! possibility THREE
-        do ibox=1,ncol
-        if (frac_out(j,ibox,2) .eq. 2) then 
-                if (prec_frac(j,ibox,1) .eq. 0) then
+        if (flag_cv == 0) then ! possibility THREE
+        do ibox=1,ncol
+        if (frac_out(j,ibox,2) == 2) then
+                if (prec_frac(j,ibox,1) == 0) then
             prec_frac(j,ibox,1) = 2
             else
@@ -148,8 +148,8 @@
         enddo ! loop over ncol
         endif
-        if (flag_cv .eq. 0) then ! possibility Four
-        do ibox=1,ncol
-        if (frac_out_cv(j,ibox) .eq. 1) then 
-                if (prec_frac(j,ibox,1) .eq. 0) then
+        if (flag_cv == 0) then ! possibility Four
+        do ibox=1,ncol
+        if (frac_out_cv(j,ibox) == 1) then
+                if (prec_frac(j,ibox,1) == 0) then
             prec_frac(j,ibox,1) = 2
             else
@@ -160,7 +160,7 @@
         enddo ! loop over ncol
         endif
-        if (flag_cv .eq. 0) then  ! possibility Five
+        if (flag_cv == 0) then  ! possibility Five
         do ibox=1,cv_col
-                if (prec_frac(j,ibox,1) .eq. 0) then
+                if (prec_frac(j,ibox,1) == 0) then
             prec_frac(j,ibox,1) = 2
             else
@@ -183,16 +183,16 @@
         flag_cv=0
     
-        if (ls_p_rate(j,ilev) .gt. 0.) then 
+        if (ls_p_rate(j,ilev) > 0.) then
          do ibox=1,ncol ! possibility ONE&TWO
-          if ((frac_out(j,ibox,ilev) .eq. 1) .or. 
-     &       ((prec_frac(j,ibox,ilev-1) .eq. 1) 
-     &       .or. (prec_frac(j,ibox,ilev-1) .eq. 3))) then 
+          if ((frac_out(j,ibox,ilev) == 1) .or.
+     &       ((prec_frac(j,ibox,ilev-1) == 1)
+     &       .or. (prec_frac(j,ibox,ilev-1) == 3))) then
            prec_frac(j,ibox,ilev) = 1
            flag_ls=1
           endif
         enddo ! loop over ncol
-        if ((flag_ls .eq. 0) .and. (ilev .lt. nlev)) then ! possibility THREE
-        do ibox=1,ncol
-        if (frac_out(j,ibox,ilev+1) .eq. 1) then 
+        if ((flag_ls == 0) .and. (ilev < nlev)) then ! possibility THREE
+        do ibox=1,ncol
+        if (frac_out(j,ibox,ilev+1) == 1) then
             prec_frac(j,ibox,ilev) = 1
             flag_ls=1
@@ -200,7 +200,7 @@
         enddo ! loop over ncol
         endif
-        if (flag_ls .eq. 0) then ! possibility Four
-        do ibox=1,ncol
-        if (frac_out_ls(j,ibox) .eq. 1) then 
+        if (flag_ls == 0) then ! possibility Four
+        do ibox=1,ncol
+        if (frac_out_ls(j,ibox) == 1) then
             prec_frac(j,ibox,ilev) = 1
             flag_ls=1
@@ -208,5 +208,5 @@
         enddo ! loop over ncol
         endif
-        if (flag_ls .eq. 0) then ! possibility Five
+        if (flag_ls == 0) then ! possibility Five
         do ibox=1,ncol
 !     prec_frac(j,1:ncol,ilev) = 1
@@ -216,10 +216,10 @@
       endif ! There is large scale precipitation
     
-        if (cv_p_rate(j,ilev) .gt. 0.) then 
+        if (cv_p_rate(j,ilev) > 0.) then
          do ibox=1,ncol ! possibility ONE&TWO
-          if ((frac_out(j,ibox,ilev) .eq. 2) .or. 
-     &       ((prec_frac(j,ibox,ilev-1) .eq. 2) 
-     &       .or. (prec_frac(j,ibox,ilev-1) .eq. 3))) then 
-            if (prec_frac(j,ibox,ilev) .eq. 0) then
+          if ((frac_out(j,ibox,ilev) == 2) .or.
+     &       ((prec_frac(j,ibox,ilev-1) == 2)
+     &       .or. (prec_frac(j,ibox,ilev-1) == 3))) then
+            if (prec_frac(j,ibox,ilev) == 0) then
          prec_frac(j,ibox,ilev) = 2
         else
@@ -229,8 +229,8 @@
         endif
        enddo ! loop over ncol
-        if ((flag_cv .eq. 0) .and. (ilev .lt. nlev)) then ! possibility THREE
-        do ibox=1,ncol
-        if (frac_out(j,ibox,ilev+1) .eq. 2) then 
-                if (prec_frac(j,ibox,ilev) .eq. 0) then
+        if ((flag_cv == 0) .and. (ilev < nlev)) then ! possibility THREE
+        do ibox=1,ncol
+        if (frac_out(j,ibox,ilev+1) == 2) then
+                if (prec_frac(j,ibox,ilev) == 0) then
             prec_frac(j,ibox,ilev) = 2
             else
@@ -241,8 +241,8 @@
         enddo ! loop over ncol
         endif
-        if (flag_cv .eq. 0) then ! possibility Four
-        do ibox=1,ncol
-        if (frac_out_cv(j,ibox) .eq. 1) then 
-                if (prec_frac(j,ibox,ilev) .eq. 0) then
+        if (flag_cv == 0) then ! possibility Four
+        do ibox=1,ncol
+        if (frac_out_cv(j,ibox) == 1) then
+                if (prec_frac(j,ibox,ilev) == 0) then
             prec_frac(j,ibox,ilev) = 2
             else
@@ -253,7 +253,7 @@
         enddo ! loop over ncol
         endif
-        if (flag_cv .eq. 0) then  ! possibility Five 
+        if (flag_cv == 0) then  ! possibility Five
         do ibox=1,cv_col
-                if (prec_frac(j,ibox,ilev) .eq. 0) then
+                if (prec_frac(j,ibox,ilev) == 0) then
             prec_frac(j,ibox,ilev) = 2
             else
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/predict_mom07.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/predict_mom07.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/predict_mom07.F90	(revision 5082)
@@ -7,6 +7,6 @@
             implicit none
         
-            real*8 :: a1,a2,a3,b1,b2,b3,c1,c2,c3
-            real*8 :: m2,tc,n,m,a_,b_,c_,A,B,C,n2
+            real(kind=8) :: a1,a2,a3,b1,b2,b3,c1,c2,c3
+            real(kind=8) :: m2,tc,n,m,a_,b_,c_,A,B,C,n2
         
             a1=      13.6078
@@ -30,9 +30,9 @@
             
         ! predict m from m2 and tc
-                if(m2.ne.-9999) then 
+                if(m2/=-9999) then
                 m=A*exp(B*tc)*m2**C
                 endif
         ! get m2 if mass-dimension relationship not proportional to D**2
-                if(m2.eq.-9999) then 
+                if(m2==-9999) then
                 m2=(m/(A*exp(B*tc)))**(1.0/C)    
                 endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90	(revision 5082)
@@ -91,17 +91,17 @@
 
   real undef
-  real*8, dimension(nprof,ngate), intent(in) :: &
+  real(kind=8), dimension(nprof,ngate), intent(in) :: &
     hgt_matrix, p_matrix,t_matrix,rh_matrix
 
-  real*8, dimension(hp%nhclass,nprof,ngate), intent(in) :: hm_matrix
-  real*8, dimension(hp%nhclass,nprof,ngate), intent(inout) :: re_matrix
-  real*8, dimension(hp%nhclass,nprof,ngate), intent(inout)    :: Np_matrix
+  real(kind=8), dimension(hp%nhclass,nprof,ngate), intent(in) :: hm_matrix
+  real(kind=8), dimension(hp%nhclass,nprof,ngate), intent(inout) :: re_matrix
+  real(kind=8), dimension(hp%nhclass,nprof,ngate), intent(inout)    :: Np_matrix
 
 ! ----- OUTPUTS -----
-  real*8, dimension(nprof,ngate), intent(out) :: Ze_non,Ze_ray, &
+  real(kind=8), dimension(nprof,ngate), intent(out) :: Ze_non,Ze_ray, &
        g_to_vol,dBZe,a_to_vol
 
 ! ----- OPTIONAL -----
-  real*8, optional, dimension(nprof,ngate) :: &
+  real(kind=8), optional, dimension(nprof,ngate) :: &
   g_to_vol_in,g_to_vol_out ! integrated atten due to gases, r>v (dB). This allows to output and then input
                            ! the same gaseous absorption in different calls. Optional to allow compatibility
@@ -112,5 +112,5 @@
 
   real, parameter :: one_third = 1.0/3.0
-  real*8 :: t_kelvin
+  real(kind=8) :: t_kelvin
   integer :: &
   phase, & ! 0=liquid, 1=ice
@@ -118,14 +118,14 @@
 
   logical :: hydro	! true=hydrometeor in vol, false=none
-  real*8 :: &
+  real(kind=8) :: &
   rho_a, &   ! air density (kg m^-3)
   gases      ! function: 2-way gas atten (dB/km)
 
-  real*8, dimension(:), allocatable :: &
+  real(kind=8), dimension(:), allocatable :: &
   Di, Deq, &   ! discrete drop sizes (um)
   Ni, &        ! discrete concentrations (cm^-3 um^-1)
   rhoi         ! discrete densities (kg m^-3)
 
-  real*8, dimension(nprof, ngate) :: &
+  real(kind=8), dimension(nprof, ngate) :: &
   z_vol, &      ! effective reflectivity factor (mm^6/m^3)
   z_ray, &                      ! reflectivity factor, Rayleigh only (mm^6/m^3)
@@ -135,13 +135,13 @@
 
   integer,parameter :: KR8 = selected_real_kind(15,300)
-  real*8, parameter :: xx = -1.0_KR8
-  real*8,  dimension(:), allocatable :: xxa
-  real*8 :: kr, ze, zr, pi, scale_factor, tc, Re, ld, tmp1, ze2, kr2, apm, bpm
-  real*8 :: half_a_atten_current,half_a_atten_above
-  real*8 :: half_g_atten_current,half_g_atten_above
-  integer*4 :: tp, i, j, k, pr, itt, iff
-
-  real*8    step,base, Np
-  integer*4 iRe_type,n,max_bin
+  real(kind=8), parameter :: xx = -1.0_KR8
+  real(kind=8),  dimension(:), allocatable :: xxa
+  real(kind=8) :: kr, ze, zr, pi, scale_factor, tc, Re, ld, tmp1, ze2, kr2, apm, bpm
+  real(kind=8) :: half_a_atten_current,half_a_atten_above
+  real(kind=8) :: half_g_atten_current,half_g_atten_above
+  integer(kind=4) :: tp, i, j, k, pr, itt, iff
+
+  real(kind=8)    step,base, Np
+  integer(kind=4) iRe_type,n,max_bin
 
   integer   start_gate,end_gate,d_gate
@@ -207,5 +207,5 @@
             itt = infind(hp%mt_tti,t_kelvin)
           endif
-          if (re_matrix(tp,pr,k).eq.0) then
+          if (re_matrix(tp,pr,k)==0) then
             call calc_Re(hm_matrix(tp,pr,k),Np_matrix(tp,pr,k),rho_a, &
               hp%dtype(tp),hp%dmin(tp),hp%dmax(tp),hp%apm(tp),hp%bpm(tp), &
@@ -221,5 +221,5 @@
 
           iRe_type=1
-          if(Re.gt.0) then
+          if(Re>0) then
             ! determine index in to scale LUT
             !
@@ -232,5 +232,5 @@
             base=hp%base_list(n+1)
             iRe_type=Re/step
-            if (iRe_type.lt.1) iRe_type=1
+            if (iRe_type<1) iRe_type=1
 
             Re=step*(iRe_type+0.5)	! set value of Re to closest value allowed in LUT.
@@ -238,5 +238,5 @@
 
             ! make sure iRe_type is within bounds
-            if (iRe_type.ge.nRe_types) then
+            if (iRe_type>=nRe_types) then
 !               write(*,*) 'Warning: size of Re exceed value permitted ', &
 !                    'in Look-Up Table (LUT).  Will calculate. '
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_init.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_init.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_init.F90	(revision 5082)
@@ -74,5 +74,5 @@
 ! ----- INTERNAL -----  
   integer :: i,j
-  real*8  :: delt, deltp
+  real(kind=8)  :: delt, deltp
         
     !
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_types.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_types.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_types.F90	(revision 5082)
@@ -12,5 +12,5 @@
   integer, parameter ::       &
   nd = 85               ! number of discrete particles used in construction DSDs
-  real*8, parameter ::        &
+  real(kind=8), parameter ::        &
   dmin = 0.1                 ,& ! min size of discrete particle
   dmax = 10000.                 ! max size of discrete particle
@@ -36,9 +36,9 @@
   
     ! variables used to store hydrometeor "default" properties
-    real*8,  dimension(maxhclass) :: p1,p2,p3,dmin,dmax,apm,bpm,rho
+    real(kind=8),  dimension(maxhclass) :: p1,p2,p3,dmin,dmax,apm,bpm,rho
     integer, dimension(maxhclass) :: dtype,col,cp,phase
   
     ! Radar properties
-    real*8  :: freq,k2
+    real(kind=8)  :: freq,k2
     integer :: nhclass      ! number of hydrometeor classes in use
     integer :: use_gas_abs, do_ray
@@ -56,16 +56,16 @@
     logical, dimension(maxhclass,nRe_types) :: N_scale_flag
     logical, dimension(maxhclass,mt_ntt,nRe_types) :: Z_scale_flag,Z_scale_added_flag
-    real*8,  dimension(maxhclass,mt_ntt,nRe_types) :: Ze_scaled,Zr_scaled,kr_scaled
-    real*8,  dimension(maxhclass,nd,nRe_types) :: fc, rho_eff
+    real(kind=8),  dimension(maxhclass,mt_ntt,nRe_types) :: Ze_scaled,Zr_scaled,kr_scaled
+    real(kind=8),  dimension(maxhclass,nd,nRe_types) :: fc, rho_eff
 
     ! used to determine Re index
-    real*8  :: step_list(Re_MAX_BIN),base_list(Re_MAX_BIN)
+    real(kind=8)  :: step_list(Re_MAX_BIN),base_list(Re_MAX_BIN)
   
     ! used to determine temperature index
-    real*8 :: &
+    real(kind=8) :: &
         mt_ttl(cnt_liq), &  ! liquid temperatures (K)
         mt_tti(cnt_ice)     ! ice temperatures (K)
 
-    real*8 :: D(nd) ! set of discrete diameters used to represent DSDs
+    real(kind=8) :: D(nd) ! set of discrete diameters used to represent DSDs
 
   end type class_param
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scops.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scops.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scops.F	(revision 5082)
@@ -133,5 +133,5 @@
       enddo
 
-      if (ncolprint.ne.0) then
+      if (ncolprint/=0) then
         write (6,'(a)') 'frac_out_pp_rev:'
           do j=1,npoints,1000
@@ -145,5 +145,5 @@
         write (6,'(I3)') ncol
       endif
-      if (ncolprint.ne.0) then
+      if (ncolprint/=0) then
         write (6,'(a)') 'last_frac_pp:'
           do j=1,npoints,1000
@@ -165,7 +165,7 @@
 !     Initialise threshold
 
-        IF (ilev.eq.1) then
+        IF (ilev==1) then
           ! If max overlap 
-          IF (overlap.eq.1) then
+          IF (overlap==1) then
             ! select pixels spread evenly
             ! across the gridbox
@@ -187,5 +187,5 @@
               enddo
             ENDIF
-            IF (ncolprint.ne.0) then
+            IF (ncolprint/=0) then
               write (6,'(a)') 'threshold_nsf2:'
                 do j=1,npoints,1000
@@ -197,5 +197,5 @@
         ENDIF
 
-        IF (ncolprint.ne.0) then
+        IF (ncolprint/=0) then
             write (6,'(a)') 'ilev:'
             write (6,'(I2)') ilev
@@ -206,5 +206,5 @@
           ! All versions
           do j=1,npoints
-            if (boxpos(j,ibox).le.conv(j,ilev)) then
+            if (boxpos(j,ibox)<=conv(j,ilev)) then
               maxocc(j,ibox) = 1
             else
@@ -214,5 +214,5 @@
 
           ! Max overlap
-          if (overlap.eq.1) then 
+          if (overlap==1) then
             do j=1,npoints
               threshold_min(j,ibox)=conv(j,ilev)
@@ -222,5 +222,5 @@
 
           ! Random overlap
-          if (overlap.eq.2) then 
+          if (overlap==2) then
             do j=1,npoints
               threshold_min(j,ibox)=conv(j,ilev)
@@ -230,11 +230,11 @@
 
           ! Max/Random overlap
-          if (overlap.eq.3) then 
+          if (overlap==3) then
             do j=1,npoints
               threshold_min(j,ibox)=max(conv(j,ilev),
      &          min(tca(j,ilev-1),tca(j,ilev)))
               if (threshold(j,ibox)
-     &          .lt.min(tca(j,ilev-1),tca(j,ilev))
-     &          .and.(threshold(j,ibox).gt.conv(j,ilev))) then
+     &          <min(tca(j,ilev-1),tca(j,ilev))
+     &          .and.(threshold(j,ibox)>conv(j,ilev))) then
                    maxosc(j,ibox)= 1
               else
@@ -276,5 +276,5 @@
            DO ibox=1,ncol
              do j=1,npoints 
-               if (tca(j,ilev).gt.threshold(j,ibox)) then
+               if (tca(j,ilev)>threshold(j,ibox)) then
                frac_out(j,ibox,ilev)=1
                else
@@ -289,5 +289,5 @@
            DO ibox=1,ncol
              do j=1,npoints 
-                if (threshold(j,ibox).le.conv(j,ilev)) then
+                if (threshold(j,ibox)<=conv(j,ilev)) then
                     ! = 2 IF threshold le conv(j)
                     frac_out(j,ibox,ilev) = 2 
@@ -302,5 +302,5 @@
 !         from last level next time round
 
-          if (ncolprint.ne.0) then
+          if (ncolprint/=0) then
 
             do j=1,npoints ,1000
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/zeff.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/zeff.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/zeff.F90	(revision 5082)
@@ -35,15 +35,15 @@
   integer, intent(in) :: ice, xr
   integer, intent(in) :: nsizes
-  real*8, intent(in) :: freq,D(nsizes),N(nsizes),tt,qe(nsizes), &
+  real(kind=8), intent(in) :: freq,D(nsizes),N(nsizes),tt,qe(nsizes), &
     qs(nsizes), rho_e(nsizes)
-  real*8, intent(inout) :: k2
+  real(kind=8), intent(inout) :: k2
   
 ! ----- OUTPUTS -----
-  real*8, intent(out) :: z_eff,z_ray,kr
+  real(kind=8), intent(out) :: z_eff,z_ray,kr
     
 ! ----- INTERNAL -----
   integer :: &
   correct_for_rho        ! correct for density flag
-  real*8, dimension(nsizes) :: &
+  real(kind=8), dimension(nsizes) :: &
   D0, &                  ! D in (m)
   N0, &                  ! N in m^-3 m^-1
@@ -53,19 +53,19 @@
   rho_ice, &             ! bulk density ice (kg m^-3)
   f                 ! ice fraction
-  real*8, dimension(nsizes) :: xtemp
-  real*8 :: &
+  real(kind=8), dimension(nsizes) :: xtemp
+  real(kind=8) :: &
   wl, &                  ! wavelength (m)
   cr                            ! kr(dB/km) = cr * kr(1/km)
-  complex*16 :: &
+  complex(kind=8) :: &
   m                 ! complex index of refraction of bulk form
-  complex*16, dimension(nsizes) :: &
+  complex(kind=8), dimension(nsizes) :: &
   m0                ! complex index of refraction
   
-  integer*4 :: i,one
-  real*8 :: pi
-  real*8 :: eta_sum, eta_mie, const, z0_eff, z0_ray, k_sum, &
+  integer(kind=4) :: i,one
+  real(kind=8) :: pi
+  real(kind=8) :: eta_sum, eta_mie, const, z0_eff, z0_ray, k_sum, &
             n_r, n_i, dqv(1), dqsc, dg, dph(1)
-  integer*4 :: err
-  complex*16 :: Xs1(1), Xs2(1)
+  integer(kind=4) :: err
+  complex(kind=8) :: Xs1(1), Xs2(1)
 
   one=1
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/MISR_simulator.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/MISR_simulator.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/MISR_simulator.F90	(revision 5082)
@@ -84,5 +84,5 @@
        do ilev=1,nlev
           ! Define location of "layer top"
-          if(ilev.eq.1 .or. ilev.eq.nlev) then
+          if(ilev==1 .or. ilev==nlev) then
              ztest=zfull(j,ilev)
           else
@@ -94,5 +94,5 @@
           iMISR_ztop=2
           do loop=2,numMISRHgtBins
-             if ( ztest .gt. 1000*misr_histHgt(loop+1) ) then
+             if ( ztest > 1000*misr_histHgt(loop+1) ) then
                 iMISR_ztop=loop+1
              endif
@@ -110,5 +110,5 @@
           do ilev=1,nlev
              ! If there a cloud, start the counter and store this height
-             if(thres_crossed_MISR .eq. 0 .and. dtau(j,ibox,ilev) .gt. 0.) then
+             if(thres_crossed_MISR == 0 .and. dtau(j,ibox,ilev) > 0.) then
                 ! First encountered a "cloud"
                 thres_crossed_MISR = 1  
@@ -116,6 +116,6 @@
              endif
 
-             if( thres_crossed_MISR .lt. 99 .and. thres_crossed_MISR .gt. 0 ) then
-                if( dtau(j,ibox,ilev) .eq. 0.) then
+             if( thres_crossed_MISR < 99 .and. thres_crossed_MISR > 0 ) then
+                if( dtau(j,ibox,ilev) == 0.) then
                    ! We have come to the end of the current cloud layer without yet 
                    ! selecting a CTH boundary. Restart cloud tau counter 
@@ -129,6 +129,6 @@
                 ! current layer cloud top to the current level then MISR will like 
                 ! see a top below the top of the current layer.
-                if( dtau(j,ibox,ilev).gt.0 .and. (cloud_dtau-dtau(j,ibox,ilev)) .lt. 1) then
-                   if(dtau(j,ibox,ilev) .lt. 1 .or. ilev.eq.1 .or. ilev.eq.nlev) then
+                if( dtau(j,ibox,ilev)>0 .and. (cloud_dtau-dtau(j,ibox,ilev)) < 1) then
+                   if(dtau(j,ibox,ilev) < 1 .or. ilev==1 .or. ilev==nlev) then
                       ! MISR will likely penetrate to some point within this layer ... the middle
                       MISR_penetration_height=zfull(j,ilev)
@@ -142,5 +142,5 @@
                 
                 ! Check for a distinctive water layer
-                if(dtau(j,ibox,ilev) .gt. 1 .and. at(j,ilev) .gt. 273 ) then
+                if(dtau(j,ibox,ilev) > 1 .and. at(j,ilev) > 273 ) then
                    ! Must be a water cloud, take this as CTH level
                    thres_crossed_MISR=99
@@ -149,5 +149,5 @@
                 ! If the total column optical depth is "large" than MISR can't see
                 ! anything else. Set current point as CTH level
-                if(sum(dtau(j,ibox,1:ilev)) .gt. 5) then
+                if(sum(dtau(j,ibox,1:ilev)) > 5) then
                    thres_crossed_MISR=99           
                 endif
@@ -157,12 +157,12 @@
           ! Check to see if there was a cloud for which we didn't 
           ! set a MISR cloud top boundary
-          if( thres_crossed_MISR .eq. 1) then
+          if( thres_crossed_MISR == 1) then
              ! If the cloud has a total optical depth of greater
              ! than ~ 0.5 MISR will still likely pick up this cloud
              ! with a height near the true cloud top
              ! otherwise there should be no CTH
-             if(sum(dtau(j,ibox,1:nlev)) .gt. 0.5) then
+             if(sum(dtau(j,ibox,1:nlev)) > 0.5) then
                 ! keep MISR detected CTH
-             elseif(sum(dtau(j,ibox,1:nlev)) .gt. 0.2) then
+             elseif(sum(dtau(j,ibox,1:nlev)) > 0.2) then
                 ! MISR may detect but wont likley have a good height
                 box_MISR_ztop(j,ibox)=-1
@@ -215,5 +215,5 @@
     ! Fill dark scenes 
     do j=1,numMISRHgtBins
-       where(sunlit .ne. 1) dist_model_layertops(1:npoints,j) = R_UNDEF
+       where(sunlit /= 1) dist_model_layertops(1:npoints,j) = R_UNDEF
     enddo
 
@@ -257,12 +257,12 @@
 
        ! Subcolumns that are cloudy(true) and not(false)
-       box_cloudy(1:ncol) = merge(.true.,.false.,tau(j,1:ncol) .gt. tauchk)
+       box_cloudy(1:ncol) = merge(.true.,.false.,tau(j,1:ncol) > tauchk)
 
        ! Fill optically thin clouds with fill value
        where(.not. box_cloudy(1:ncol)) tauWRK(j,1:ncol)  = -999._wp
-       where(box_MISR_ztopWRK(j,1:ncol) .eq. 0) box_MISR_ztopWRK(j,1:ncol)=-999._wp
+       where(box_MISR_ztopWRK(j,1:ncol) == 0) box_MISR_ztopWRK(j,1:ncol)=-999._wp
 
        ! Compute joint histogram and column quantities for points that are sunlit and cloudy
-       if (sunlit(j) .eq. 1) then 
+       if (sunlit(j) == 1) then
           ! Joint histogram
           call hist2D(tauWRK(j,1:ncol),box_MISR_ztopWRK(j,1:ncol),ncol,misr_histTau,numMISRTauBins,&
@@ -272,10 +272,10 @@
 
           ! Column cloud area
-          MISR_cldarea(j)=real(count(box_MISR_ztopWRK(j,1:ncol) .ne. -999.))/ncol
+          MISR_cldarea(j)=real(count(box_MISR_ztopWRK(j,1:ncol) /= -999.))/ncol
 
           ! Column cloud-top height
-          if ( count(box_MISR_ztopWRK(j,1:ncol) .ne. -999.) .ne. 0 ) then
-             MISR_mean_ztop(j) = sum(box_MISR_ztopWRK(j,1:ncol),box_MISR_ztopWRK(j,1:ncol) .ne. -999.)/ &
-                  count(box_MISR_ztopWRK(j,1:ncol) .ne. -999.)
+          if ( count(box_MISR_ztopWRK(j,1:ncol) /= -999.) /= 0 ) then
+             MISR_mean_ztop(j) = sum(box_MISR_ztopWRK(j,1:ncol),box_MISR_ztopWRK(j,1:ncol) /= -999.)/ &
+                  count(box_MISR_ztopWRK(j,1:ncol) /= -999.)
           else
              MISR_mean_ztop(j) = R_UNDEF
